tidy.gamlss {broom} | R Documentation

## Tidy a(n) gamlss object

### Description

Tidy summarizes information about the components of a model. A model component might be a single term in a regression, a single hypothesis, a cluster, or a class. Exactly what tidy considers to be a model component varies cross models but is usually self-evident. If a model has several distinct types of components, you will need to specify which components to return.

### Usage

    ## S3 method for class 'gamlss'
    tidy(x, quick = FALSE, ...)

### Arguments

`x` | A `gamlss` object returned from `gamlss::gamlss()`.
`quick` | Logical indiciating if the only the `term` and `estimate` columns should be returned. Often useful to avoid time consuming covariance and standard error calculations. Defaults to `FALSE`.

`...`

Additional arguments. Not used. Needed to match generic signature only. Cautionary note: Misspelled arguments will be absorbed in `...`, where they will be ignored. If the misspelled argument has a default value, the default value will be used. For example, if you pass `conf.lvel = 0.9`, all computation will proceed using `conf.level = 0.95`. Additionally, if you pass `newdata = my_tibble` to an `augment()` method that does not accept a `newdata` argument, it will use the default value for the `data` argument.

### Value

A tibble::tibble with one row for each coefficient, containing columns

`parameter` | Type of coefficient being estimated: `mu`, `sigma`, `nu`, or `tau`.
`term` | Name of term in the model.
`estimate` | Estimate coefficient of given term.
`std.error` | Standard error of given term.
`statistic` | T-statistic used to test hypothesis that coefficien equals zero.
`p.value` | Two sided p-value based on null hypothesis of coefficient equaling zero.

### Examples

    library(gamlss)

    g <- gamlss(
      y ~ pb(x),
      sigma.fo = ~ pb(x),
      family = BCT,
      data = abdom,
      method = mixed(1, 20)
    )

    tidy(g)

[Package broom version 0.5.2 Index]